Bug 151095 - netfs host resource should not be forced unique
Summary: netfs host resource should not be forced unique
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-14 21:02 UTC by Derek Anderson
Modified: 2009-04-16 20:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 20:45:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2005-03-14 21:02:04 UTC
Description of problem:
Set up two netfs resources.  Each is a different export from the same
NFS server.  The second one failed to parse, reason was that the
"host=" was not unique among netfs resources.  The meta_data() does
not list this requirement, nor do I find it necessary.  It seems
reasonable to have multiple imports from the same exporter.

XML clipping:
  <resources>
    <netfs name="Net_FS" mountpoint="/mnt/nfs1" host="link-01"
export="/tmp" fstype="nfs" options="sync"/>
    <netfs name="Pet_FS" mountpoint="/mnt/nfs2" host="link-01"
export="/coocoo" fstype="nfs" options="sync"/>
  <resources/>
    <resourcegroup ref="FOO">
    <netfs ref="Net_FS"/>
    <netfs ref="Pet_FS"/>
  </resourcegroup>

Version-Release number of selected component (if applicable):
rgmanager-1.9.24-0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Derek Anderson 2005-03-14 21:07:18 UTC
Here's what clurgmgrd says when it parses this:

Unique/primary not unique type netfs, host=link-01
Error storing netfs resource
Error: Reference to nonexistent resource Net_FS2 (type netfs)

Comment 2 Derek Anderson 2005-03-14 21:08:06 UTC
The correct message cut/paste.

Unique/primary not unique type netfs, host=link-01
Error storing netfs resource
Error: Reference to nonexistent resource Pet_FS (type netfs)

Comment 3 Lon Hohberger 2005-03-14 21:57:43 UTC
I found it.

2 line fix.  Parentheses missing, screwing up logic.

Comment 4 Lon Hohberger 2005-03-14 21:58:45 UTC
Fixed in CVS

Comment 5 Lon Hohberger 2005-05-06 20:45:44 UTC
These have been fixed in CVS for some time; closing


Note You need to log in before you can comment on or make changes to this bug.